Subject: Re: bug#2757: disable (or deprecate) vc-file-not-found-hook for 23.1

From: Stefan Monnier <[email-masked]>
Date: Mon, 23 Mar 2009 15:18:11 -0400

> IMO we should remove vc-file-not-found-hook from file-not-found-hook by
> default for 23.1 and even remove the `find-file-not-found-hook' VC
> method.

Let's remove it in Emacs-23.2.

> This hook adds a cost every time when opening a non-VC managed file.

Really?  It should only be triggered when opening a non-existent file.

        Stefan